GCOMPRIS(6)

NAME
gcompris - manual page for gcompris GCompris

DESCRIPTION

  Usage:

gcompris [OPTION...]
    - An educational software for chilren 2 to 10

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-gtk
    Show GTK+ Options

  Application Options:

-f, --fullscreen
    run GCompris in fullscreen mode.

-w, --window
    run GCompris in window mode.

-s, --sound
    run GCompris with sound enabled.

-m, --mute
    run GCompris without sound.

-c, --cursor
    run GCompris with the default system cursor.

-C, --nocursor
    run GCompris without cursor (touch screen mode).

-d, --difficulty
    display only activities with this difficulty level.

-r, --rememberlevel
    Return to last passed level even when no user is selected

-l, --root-menu
    Run GCompris with local menu (e.g -l /reading will let you play only activities in the reading directory, -l /strategy/connect4 only the connect4 activity). Use '-l list' to list all the available activities and their descriptions.

-A, --package_data_dir
    GCompris will find the data dir in this directory

-S, --package_skin_dir
    GCompris will find the skins in this directory

-L, --plugin_dir
    GCompris will find the activity plugins in this directory

-P, --python_plugin_dir
    GCompris will find the Python activity in this directory

--locale_dir
    GCompris will find the locale file (.mo translation) in this directory

-M, --menu_dir
    GCompris will find the activities menu in this directory

-a, --administration
    Run GCompris in administration and user-management mode

-b, --database
    Use alternate database for profiles [$HOME/.config/gcompris/gcompris_sqlite.db]

--create-db
    Create the alternate database for profiles

--reread-menu
    Re-read XML Menus and store them in the database

-p, --profile
    Set the profile to use. Use 'gcompris -a' to create profiles

--profile-list
    List all available profiles. Use 'gcompris -a' to create profiles

--config-dir
    Config directory location: [$HOME/.config/gcompris]. Alternate is to set $XDG_CONFIG_HOME.

--user-dir
    The location of user directories: [$HOME/My GCompris]

--experimental
    Run the experimental activities

--disable-quit
    Disable the quit button

--disable-config
    Disable the config button

--disable-level
    Disable the level button

--disable-database
    Disable the database (slower start and no user log)

-g, --drag-mode
    Global drag and drop mode: normal, 2clicks, both. Default mode is normal.

--nolockcheck
    Do not avoid the execution of multiple instances of GCompris.

--no-zoom
    Disable maximization zoom

--timing-base
    Increase activities' timeout delays; useful values > 1.0; 1.0 to not change hardcoded value

--timing-mult
    How activities' timeout delays are growing for several actors; useful values < 1.0; 1.0 to not change hardcoded value

--test
    For test purpose, run in a loop all the activities

-D, --debug
    display debug informations on the console.

-v, --version
    Print the version of gcompris

--display=DISPLAY
    X display to use

Version: 13.11 License: GPL More info at http://gcompris.net

SEE ALSO
The full documentation for gcompris is maintained as a Texinfo manual. If the info and gcompris programs are properly installed at your site, the command

    info gcompris

should give you access to the complete manual.